JDOMParseException (JDOM v1.1.1)
Date: 2018-05-07

org.jdom.input

## Class JDOMParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jdom.JDOMException
      - - org.jdom.input.JDOMParseException

- All Implemented Interfaces:
    java.io.Serializable

      public class JDOMParseException
      extends JDOMException

  Thrown during parse errors, with information about where the parse error occurred as well as access to the partially built document.
  Version:
    $Revision: 1.8 $, $Date: 2007/11/10 05:29:00 $
  Author:
    Laurent Bihanic
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDOMParseException(java.lang.String message, java.lang.Throwable cause)` This will create a parse `Exception` with the given message and wrap the `Exception` that cause a document parse to fail.
    `JDOMParseException(java.lang.String message, java.lang.Throwable cause, Document partialDocument)` This will create a parse `Exception` with the given message and the partial document and wrap the `Exception` that cause a document parse to fail.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumnNumber()` Returns the column number of the end of the text where the parse error occurred.
    `int` | `getLineNumber()` Returns the line number of the end of the text where the parse error occurred.
    `Document` | `getPartialDocument()` Returns the partial document that was successfully built before the error occurred.
    `java.lang.String` | `getPublicId()` Returns the public identifier of the entity where the parse error occurred.
    `java.lang.String` | `getSystemId()` Returns the system identifier of the entity where the parse error occurred.

    - ### Methods inherited from class org.jdom.JDOMException

      `getCause, getMessage, initCause, printStackTrace, printStackTrace, printStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JDOMParseException

          public JDOMParseException(java.lang.String message,
                            java.lang.Throwable cause)

      This will create a parse `Exception` with the given message and wrap the `Exception` that cause a document parse to fail.
      Parameters:
        `message` - `String` message indicating the problem that occurred.
        `cause` - `Throwable` that caused this to be thrown.

    - #### JDOMParseException

          public JDOMParseException(java.lang.String message,
                            java.lang.Throwable cause,
                            Document partialDocument)

      This will create a parse `Exception` with the given message and the partial document and wrap the `Exception` that cause a document parse to fail.
      Parameters:
        `message` - `String` message indicating the problem that occurred.
        `cause` - `Throwable` that caused this to be thrown.
        `partialDocument` - `Document` the portion of the input XML document that was successfully built.

  - ### Method Detail

    - #### getPartialDocument

          public Document getPartialDocument()

      Returns the partial document that was successfully built before the error occurred.
      Returns:
        the partial document or null if none.

    - #### getPublicId

          public java.lang.String getPublicId()

      Returns the public identifier of the entity where the parse error occurred.
      Returns:
        a string containing the public identifier, or `null` if the information is not available.

    - #### getSystemId

          public java.lang.String getSystemId()

      Returns the system identifier of the entity where the parse error occurred.
      Returns:
        a string containing the system identifier, or `null` if the information is not available.

    - #### getLineNumber

          public int getLineNumber()

      Returns the line number of the end of the text where the parse error occurred.

      The first line in the document is line 1.

      Returns:
        an integer representing the line number, or -1 if the information is not available.

    - #### getColumnNumber

          public int getColumnNumber()

      Returns the column number of the end of the text where the parse error occurred.

      The first column in a line is position 1.

      Returns:
        an integer representing the column number, or -1 if the information is not available.

Copyright ? 2007 Jason Hunter, Brett McLaughlin. All Rights Reserved.